@extends('client.layouts.app-login')
@section('title','استعادة كلمة المرور')
@section('content')
<div class="auth-inner my-2">
    <!-- Login basic -->
    <div class="card mb-0">
      <div class="card-body">
        <a href="#" class="brand-logo">
          <img src="{{asset('app-assets/images/logo.png')}}" alt="logo" class="logo-large" style="width: 40%;heigh: 40%;">
        </a>
    
        <h4 class="card-title mb-1" align="center">إستعادة كلمة المرور</h4>
    
        @if (session('status'))
        <div class="alert alert-success" role="alert" align="center">
          <div class="alert-body">{{ session('status') }}</div>
      </div>
      @endif

        <form class="auth-forgot-password-form mt-2"  id="forgot_password" method="POST">
            @csrf
            <div class="mb-1">
              <label for="forgot-password-email" class="form-label">البريد الإلكتروني</label>
              <input
                type="text"
                class="form-control"
                id="forgot-password-email"
                name="email"
                placeholder="البريد الإلكتروني"
                aria-describedby="forgot-password-email"
                tabindex="1"
                autofocus
              />

            </div>
            <button  id="rgbtn" class="btn btn-primary w-100" tabindex="2">إرسال رابط إعادة التعيين</button>
          </form>
  
          <p class="text-center mt-2">
            <a href="{{route('client.login')}}">العوة إلي تسجيل الدخول  <i data-feather="chevron-right"></i></a>
          </p>
    
    
      </div>
    </div>
    <!-- /Login basic -->
    </div>
@endsection
@section('script')
<script src="{{asset('app-assets/js/sweetalert.min.js')}}"></script>

<script>
    $((function(){"use strict";var r=$(".auth-forgot-password-form");r.length&&r.validate({rules:{"email":{required:!0,email:!0}}})}));

$("#forgot_password").on('submit',(function(e) {

e.preventDefault();

$.ajax({

url: "{{route('client.password.email')}}",

type: "POST",

data:  new FormData(this),

dataType:  'json',

contentType: false,

cache: false,

processData:false,

beforeSend: function () {
    $('#rgbtn').text('...جاري المعالجة').prop('disabled', true)
},
success: function(response) {

if(response.status){

  toastr.success(response.message)

}

swal({

title: "تم الإرسال بنجاح إلي بريدك الإلكترونى", 
text: " يمكنك إستعادة كلمة المرور",

type: "success",
 showCancelButton: false,
showConfirmButton: false,
closeOnConfirm: false,
timer: 4000

});
document.getElementById("forgot_password").reset();
$('#rgbtn').text('إرسال رابط إعادة التعيين').prop('disabled', false)


},

error: function(response){
      $.each(response.responseJSON.errors, function (key, item) 
      {
         toastr.error(item)
      });
      $('#rgbtn').text('إرسال رابط إعادة التعيين').prop('disabled', false)

},


});

}));
</script>
@endsection

@section('style')
<link rel="stylesheet" type="text/css" href="{{asset('app-assets/css/sweetalert.min.css')}}">
@endsection